Bug 11087 - Have the fines tab default to pay fines rather than account
Summary: Have the fines tab default to pay fines rather than account
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Ketan Kulkarni
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-20 19:53 UTC by Owen Leonard
Modified: 2014-12-07 20:05 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Links updated in template files (2.84 KB, patch)
2013-11-21 09:10 UTC, Ketan Kulkarni
Details | Diff | Splinter Review
template updates to make the Pay Fines tab the default tab (3.05 KB, patch)
2014-01-29 12:36 UTC, Holger Meißner
Details | Diff | Splinter Review
[PASSED QA] Bug 11087: Make the Pay Fines tab the default tab (3.32 KB, patch)
2014-01-31 07:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-10-20 19:53:27 UTC
A suggestion from an attendee at KohaCon13: Since paying fines is the most likely action when clicking on the Fines tab, the pay fines tab should be the default rather than the account summary.
Comment 1 Ketan Kulkarni 2013-11-21 09:10:38 UTC Comment hidden (obsolete)
Comment 2 Holger Meißner 2014-01-29 12:36:44 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-01-31 07:03:08 UTC
Just some small things:
Ketan, please add the bug number, a problem description and a test plan to your commit message for your next patch.

Holger, please obsolete the old patch, you can do it with git-bz using git-bz attach -e and uncommenting the line for the attachments you want to obsolete.

Thx!
Comment 4 Katrin Fischer 2014-01-31 07:05:10 UTC
Created attachment 24919 [details] [review]
[PASSED QA] Bug 11087: Make the Pay Fines tab the default tab

Since paying fines is the most likely action when clicking on
the Fines tab, the pay fines tab should be the default rather
than the account summary.

http://bugs.koha-community.org/show_bug.cgi?id=11087
Signed-off-by: Holger Meißner <h.meissner.82@web.de>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Verified by accessing the fines pages from the various
patron account pages.
Comment 5 Katrin Fischer 2014-01-31 07:06:36 UTC
Or in case of a character git-bz doesn't like (ß), you can use git bz edit to obsolete :)
Comment 6 Galen Charlton 2014-02-20 19:32:00 UTC
Pushed to master.  Thanks, Ketan!
Comment 7 Fridolin SOMERS 2014-05-21 08:24:45 UTC
Pushed to 3.14.x, will be in 3.14.07